Microsoft.Build.Engine 2.0.0.0 System.Object To be added.

Represents a single property in an vstecmsbuild project.

- Constructor
  To be added.

  Initializes a new instance of the class with the specified name and value.

  The property name.
  The property value.
  2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildProperty ``

  A shallow copy of a references the same XML element as the original. Modifications to the name or value of a shallow copy will be reflected in both copies. However, depending on property evaluation, the two copies could have different property values.

  A deep copy of a creates a new XML element to reference so that both copies of the can be independently modified.

  Creates a deep or shallow copy of the .

  A copy of the .

  true to create a deep copy of the ; otherwise, false. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the Condition attribute value of the property.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the final value of the property after all property evaluations have been performed.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the property was imported into the project.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the property name.

  2.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  2.0.0.0
  System.String To be added.

  Returns the string that represents the property .

  The string that represents the property .

- Property
  System.String To be added. To be added.

  Gets or sets the property value.

  2.0.0.0